Platform

Session, current-user, organization-context, health, and knowledge-space endpoints.

curl -X GET "https://example.com/api/session"
{  "authenticated": true,  "name": "string",  "email": "string",  "userId": "2c4a230c-5085-4924-a3e1-25fb4fc5965b",  "organizationId": "7bc05553-4b68-44e8-b7bc-37be63c6d9e9",  "departmentId": "a3452d1e-b055-4677-aa66-858ddc0a1f59",  "role": "EMPLOYEE"}
curl -X GET "https://example.com/api/session/csrf"
{  "headerName": "string",  "parameterName": "string",  "token": "string"}
GET/api/organization/context

Response Body

*/*

curl -X GET "https://example.com/api/organization/context"
{  "organizationId": "7bc05553-4b68-44e8-b7bc-37be63c6d9e9",  "departments": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "organizationId": "7bc05553-4b68-44e8-b7bc-37be63c6d9e9",      "name": "string"    }  ],  "users": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "organizationId": "7bc05553-4b68-44e8-b7bc-37be63c6d9e9",      "departmentId": "a3452d1e-b055-4677-aa66-858ddc0a1f59",      "name": "string",      "email": "string",      "role": "EMPLOYEE"    }  ]}
GET/api/me

Response Body

*/*

curl -X GET "https://example.com/api/me"
{  "authenticated": true,  "subject": "string",  "email": "string",  "name": "string",  "authorizationProvider": "string",  "userId": "2c4a230c-5085-4924-a3e1-25fb4fc5965b",  "organizationId": "7bc05553-4b68-44e8-b7bc-37be63c6d9e9",  "departmentId": "a3452d1e-b055-4677-aa66-858ddc0a1f59",  "role": "EMPLOYEE"}
curl -X GET "https://example.com/api/knowledge-spaces/visible"
[  {    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "key": "string",    "name": "string",    "departmentId": "a3452d1e-b055-4677-aa66-858ddc0a1f59"  }]
curl -X GET "https://example.com/api/knowledge-spaces/upload-targets"
[  {    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "key": "string",    "name": "string",    "departmentId": "a3452d1e-b055-4677-aa66-858ddc0a1f59"  }]
GET/api/health

Response Body

*/*

curl -X GET "https://example.com/api/health"
{  "property1": "string",  "property2": "string"}

Last updated on